PDA

View Full Version : [CLOSED] DeftJS & CMD v3 ST 2.1



joshke
11 Nov 2012, 5:53 AM
I upgraded my app from ST 2.0 to ST 2.1 with the new cmd tool and it worked fine for me.
But I can't build my app with sencha app build testing. With CMD v 2 and SDK Version 2.0 the building process have no error.

First error was with sass, due to that I haven't installed compass, but I removed the sass compiling process from build-impl.xml

Now I get the following error:
Unknown definition for dependency : Deft.mvc.ViewController

And I have no clue how to fix this.

Anyone could help me?

joshke
12 Nov 2012, 8:31 AM
Found the solution in another thread (sorry I lost the link)
Add requires statment to every view with deft js controller:

controller: 'App.viewcontroller.Login',
requires: [ 'App.viewcontroller.Login'],


and modifie classpath in sencha.cfg

app.classpath=${app.dir}/Deft,${app.dir}/app.js,${app.dir}/app